You are not logged in.

#1 2007-09-27 17:22:53

avasfx
Member
Registered: 2007-09-27
Posts: 4

[SOLVED] Problem with upgrade pacman2 to pacman3

Hello everyone.
First of all let me say that im not very experienced in Linux, so excuse me me for some stupid questions.
I searched in forum but unfortunately didn't find resolving of my problem.
I installed Arch year ago, but didn't use it for half a year, a few days ago i decided to come back to arch, made update (pacman -Syu) but that is the result:

[root@arch alex]# pacman -Syu
error: unable to lock pacman database.
       if you're sure pacman is not already running, you
       can remove /tmp/pacman.lck
[root@arch alex]# pacman -Syu
:: Synchronizing package databases...
connect: Connection refused
error: cannot connect to ftp.archlinux.org
:: current is up to date
connect: Connection refused
error: cannot connect to ftp.archlinux.org
:: extra is up to date
connect: Connection refused
error: cannot connect to ftp.archlinux.org
 community                [################] 100%     301K    67.9K/s  00:00:04
:: Replace util-linux with util-linux-ng from "current"? [Y/n] y
:: Replace gensplashutils with gensplash from "community"? [Y/n] y
:: jre: local (6-2) appears to be newer than repo (extra/6u2-1)
:: Above packages will be skipped.  To manually upgrade use 'pacman -S <pkg>'

:: pacman has detected a newer version of the "pacman" package.
:: It is recommended that you allow pacman to upgrade itself
:: first, then you can re-run the operation with the newer version.
::
:: Upgrade pacman first? [Y/n] y
error: unresolvable dependencies:
  pacman: requires fakeroot but it is not in the sync db
  pacman: requires libarchive>=2.2.3 but it is not in the sync db
  pacman: requires libdownload but it is not in the sync db

then i tried to updata pacman (pacman -S pacman)

[root@arch alex]# pacman -S pacman

Targets: fakeroot-1.7.1-3 libarchive-2.2.6-2 libdownload-1.1-3 pacman-3.0.6-1

Total Package Size:   1.2 MB

Proceed with upgrade? [Y/n] y

:: Retrieving packages from current...
warning: failed to get filesize for fakeroot-1.7.1-3.pkg.tar.gz

failed downloading fakeroot-1.7.1-3.pkg.tar.gz from ftp.archlinux.org: 550 Failed to open file.


warning: failed to get filesize for libarchive-2.2.6-2.pkg.tar.gz

failed downloading libarchive-2.2.6-2.pkg.tar.gz from ftp.archlinux.org: 550 Failed to open file.


warning: failed to get filesize for libdownload-1.1-3.pkg.tar.gz

failed downloading libdownload-1.1-3.pkg.tar.gz from ftp.archlinux.org: 550 Failed to open file.


warning: failed to get filesize for pacman-3.0.6-1.pkg.tar.gz

failed downloading pacman-3.0.6-1.pkg.tar.gz from ftp.archlinux.org: 550 Failed to open file.


warning: failed to get filesize for fakeroot-1.7.1-3.pkg.tar.gz

failed downloading fakeroot-1.7.1-3.pkg.tar.gz from ftp.nethat.com: 550 fakeroot-1.7.1-3.pkg.tar.gz: No such file or directory


warning: failed to get filesize for libarchive-2.2.6-2.pkg.tar.gz

failed downloading libarchive-2.2.6-2.pkg.tar.gz from ftp.nethat.com: 550 libarchive-2.2.6-2.pkg.tar.gz: No such file or directory


warning: failed to get filesize for libdownload-1.1-3.pkg.tar.gz

failed downloading libdownload-1.1-3.pkg.tar.gz from ftp.nethat.com: 550 libdownload-1.1-3.pkg.tar.gz: No such file or directory


warning: failed to get filesize for pacman-3.0.6-1.pkg.tar.gz

failed downloading pacman-3.0.6-1.pkg.tar.gz from ftp.nethat.com: 550 pacman-3.0.6-1.pkg.tar.gz: No such file or directory


warning: failed to get filesize for fakeroot-1.7.1-3.pkg.tar.gz

failed downloading fakeroot-1.7.1-3.pkg.tar.gz from ftp-linux.cc.gatech.edu: 550 Failed to open file.


warning: failed to get filesize for libarchive-2.2.6-2.pkg.tar.gz

failed downloading libarchive-2.2.6-2.pkg.tar.gz from ftp-linux.cc.gatech.edu: 550 Failed to open file.


warning: failed to get filesize for libdownload-1.1-3.pkg.tar.gz

failed downloading libdownload-1.1-3.pkg.tar.gz from ftp-linux.cc.gatech.edu: 550 Failed to open file.


warning: failed to get filesize for pacman-3.0.6-1.pkg.tar.gz

failed downloading pacman-3.0.6-1.pkg.tar.gz from ftp-linux.cc.gatech.edu: 550 Failed to open file.


warning: failed to get filesize for fakeroot-1.7.1-3.pkg.tar.gz

failed downloading fakeroot-1.7.1-3.pkg.tar.gz from mirror.cs.vt.edu: 550 Failed to open file.


warning: failed to get filesize for libarchive-2.2.6-2.pkg.tar.gz

failed downloading libarchive-2.2.6-2.pkg.tar.gz from mirror.cs.vt.edu: 550 Failed to open file.


warning: failed to get filesize for libdownload-1.1-3.pkg.tar.gz

failed downloading libdownload-1.1-3.pkg.tar.gz from mirror.cs.vt.edu: 550 Failed to open file.


warning: failed to get filesize for pacman-3.0.6-1.pkg.tar.gz

failed downloading pacman-3.0.6-1.pkg.tar.gz from mirror.cs.vt.edu: 550 Failed to open file.


warning: failed to get filesize for fakeroot-1.7.1-3.pkg.tar.gz

failed downloading fakeroot-1.7.1-3.pkg.tar.gz from ftp.ibiblio.org: 550 fakeroot-1.7.1-3.pkg.tar.gz: No such file or directory


warning: failed to get filesize for libarchive-2.2.6-2.pkg.tar.gz

failed downloading libarchive-2.2.6-2.pkg.tar.gz from ftp.ibiblio.org: 550 libarchive-2.2.6-2.pkg.tar.gz: No such file or directory


warning: failed to get filesize for libdownload-1.1-3.pkg.tar.gz

failed downloading libdownload-1.1-3.pkg.tar.gz from ftp.ibiblio.org: 550 libdownload-1.1-3.pkg.tar.gz: No such file or directory


warning: failed to get filesize for pacman-3.0.6-1.pkg.tar.gz

failed downloading pacman-3.0.6-1.pkg.tar.gz from ftp.ibiblio.org: 550 pacman-3.0.6-1.pkg.tar.gz: No such file or directory



failed downloading /linux/distributions/archlinux/current/os/i686/fakeroot-1.7.1-3.pkg.tar.gz from www2.cddc.vt.edu: HTTP/1.1 404 Not Found


failed downloading /linux/distributions/archlinux/current/os/i686/libarchive-2.2.6-2.pkg.tar.gz from www2.cddc.vt.edu: HTTP/1.1 404 Not Found


failed downloading /linux/distributions/archlinux/current/os/i686/libdownload-1.1-3.pkg.tar.gz from www2.cddc.vt.edu: HTTP/1.1 404 Not Found


failed downloading /linux/distributions/archlinux/current/os/i686/pacman-3.0.6-1.pkg.tar.gz from www2.cddc.vt.edu: HTTP/1.1 404 Not Found

error: could not cwd to /packages/archlinux/X/os/i686/: 550 /packages/archlinux/X/os/i686/: No such file or directory
..................

I can easily open ftp.archlinux.org in firefox,

[root@arch alex]# ping ftp.archlinux.com
PING ftp.archlinux.com (208.73.212.12) 56(84) bytes of data.
64 bytes from sp19.information.com (208.73.212.12): icmp_seq=1 ttl=242 time=200 ms
64 bytes from sp19.information.com (208.73.212.12): icmp_seq=2 ttl=242 time=200 ms
64 bytes from sp19.information.com (208.73.212.12): icmp_seq=3 ttl=242 time=199 ms
64 bytes from sp19.information.com (208.73.212.12): icmp_seq=4 ttl=242 time=197 ms
64 bytes from sp19.information.com (208.73.212.12): icmp_seq=5 ttl=242 time=258 ms
64 bytes from sp19.information.com (208.73.212.12): icmp_seq=6 ttl=242 time=201 ms
64 bytes from sp19.information.com (208.73.212.12): icmp_seq=7 ttl=242 time=198 ms
64 bytes from sp19.information.com (208.73.212.12): icmp_seq=8 ttl=242 time=200 ms

How can i upgrade pacman and system in such situation??
Thanks
Alex

Last edited by avasfx (2007-09-28 19:48:28)

Offline

#2 2007-09-27 18:32:11

Cerebral
Forum Fellow
From: Waterloo, ON, CA
Registered: 2005-04-08
Posts: 3,108
Website

Re: [SOLVED] Problem with upgrade pacman2 to pacman3

Use a different mirror - we don't recommend you connect to ftp.archlinux.org

To do this, edit the files in /etc/pacman.d and choose a different location, then move that mirror to the top of the list.

Offline

#3 2007-09-27 20:10:24

avasfx
Member
Registered: 2007-09-27
Posts: 4

Re: [SOLVED] Problem with upgrade pacman2 to pacman3

Thanks for replay. I've changed server (as i understand that server is mostly for developers) but unfortunately the problem is still the same:

[root@arch alex]# pacman -S pacman

Targets: fakeroot-1.7.1-3 libarchive-2.2.6-2 libdownload-1.1-3 pacman-3.0.6-1

Total Package Size:   1.2 MB

Proceed with upgrade? [Y/n] y

:: Retrieving packages from current...
warning: failed to get filesize for fakeroot-1.7.1-3.pkg.tar.gz

failed downloading fakeroot-1.7.1-3.pkg.tar.gz from mirror.icis.pcz.pl: 550 Failed to open file.


warning: failed to get filesize for libarchive-2.2.6-2.pkg.tar.gz

failed downloading libarchive-2.2.6-2.pkg.tar.gz from mirror.icis.pcz.pl: 550 Failed to open file.


warning: failed to get filesize for libdownload-1.1-3.pkg.tar.gz

failed downloading libdownload-1.1-3.pkg.tar.gz from mirror.icis.pcz.pl: 550 Failed to open file.


warning: failed to get filesize for pacman-3.0.6-1.pkg.tar.gz

failed downloading pacman-3.0.6-1.pkg.tar.gz from mirror.icis.pcz.pl: 550 Failed to open file.



failed downloading /pub/Linux/sunsite/distributions/archlinux/fakeroot-1.7.1-3.pkg.tar.gz from ftp.icm.edu.pl: HTTP/1.1 404 Not Found


failed downloading /pub/Linux/sunsite/distributions/archlinux/libarchive-2.2.6-2.pkg.tar.gz from ftp.icm.edu.pl: HTTP/1.1 404 Not Found


failed downloading /pub/Linux/sunsite/distributions/archlinux/libdownload-1.1-3.pkg.tar.gz from ftp.icm.edu.pl: HTTP/1.1 404 Not Found


failed downloading /pub/Linux/sunsite/distributions/archlinux/pacman-3.0.6-1.pkg.tar.gz from ftp.icm.edu.pl: HTTP/1.1 404 Not Found

warning: failed to get filesize for fakeroot-1.7.1-3.pkg.tar.gz

failed downloading fakeroot-1.7.1-3.pkg.tar.gz from ftp.belnet.be: 550 fakeroot-1.7.1-3.pkg.tar.gz: No such file or directory


warning: failed to get filesize for libarchive-2.2.6-2.pkg.tar.gz

failed downloading libarchive-2.2.6-2.pkg.tar.gz from ftp.belnet.be: 550 libarchive-2.2.6-2.pkg.tar.gz: No such file or directory


warning: failed to get filesize for libdownload-1.1-3.pkg.tar.gz

failed downloading libdownload-1.1-3.pkg.tar.gz from ftp.belnet.be: 550 libdownload-1.1-3.pkg.tar.gz: No such file or directory


warning: failed to get filesize for pacman-3.0.6-1.pkg.tar.gz

failed downloading pacman-3.0.6-1.pkg.tar.gz from ftp.belnet.be: 550 pacman-3.0.6-1.pkg.tar.gz: No such file or directory
connect: Connection refused
error: cannot connect to darkstar.ist.utl.pt
connect: Connection refused
error: cannot connect to darkstar.ist.utl.pt
connect: Connection refused
error: cannot connect to darkstar.ist.utl.pt
connect: Connection refused
error: cannot connect to darkstar.ist.utl.pt
*** glibc detected *** pacman: double free or corruption (!prev): 0x08762708 ***
======= Backtrace: =========
/lib/libc.so.6[0xb7e47cd0]
/lib/libc.so.6(__libc_free+0x89)[0xb7e49369]
pacman[0x805fffa]
pacman[0x805b22d]
pacman[0x805b9fb]
pacman[0x8052491]
pacman[0x8054f0c]
/lib/libc.so.6(__libc_start_main+0xd8)[0xb7df97c8]
pacman[0x804a081]
======= Memory map: ========
08048000-0806b000 r-xp 00000000 08:08 939551     /usr/bin/pacman
0806b000-0806c000 rw-p 00022000 08:08 939551     /usr/bin/pacman
0806c000-0877b000 rw-p 0806c000 00:00 0          [heap]
b7c00000-b7c21000 rw-p b7c00000 00:00 0
b7c21000-b7d00000 ---p b7c21000 00:00 0
b7d92000-b7d9c000 r-xp 00000000 08:08 936422     /usr/lib/libgcc_s.so.1
b7d9c000-b7d9d000 rw-p 00009000 08:08 936422     /usr/lib/libgcc_s.so.1
b7db7000-b7dc5000 r-xp 00000000 08:08 361592     /lib/libresolv-2.5.so
b7dc5000-b7dc7000 rw-p 0000d000 08:08 361592     /lib/libresolv-2.5.so
b7dc7000-b7dc9000 rw-p b7dc7000 00:00 0
b7dd3000-b7de4000 rw-p b7dd3000 00:00 0
b7de4000-b7f09000 r-xp 00000000 08:08 359783     /lib/libc-2.5.so
b7f09000-b7f0a000 r--p 00125000 08:08 359783     /lib/libc-2.5.so
b7f0a000-b7f0c000 rw-p 00126000 08:08 359783     /lib/libc-2.5.so
b7f0c000-b7f0f000 rw-p b7f0c000 00:00 0
b7f0f000-b7f20000 r-xp 00000000 08:08 937473     /usr/lib/libz.so.1.2.3
b7f20000-b7f21000 rw-p 00011000 08:08 937473     /usr/lib/libz.so.1.2.3
b7f28000-b7f2c000 r-xp 00000000 08:08 363193     /lib/libnss_dns-2.5.so
b7f2c000-b7f2e000 rw-p 00003000 08:08 363193     /lib/libnss_dns-2.5.so
b7f2e000-b7f36000 r-xp 00000000 08:08 359756     /lib/libnss_files-2.5.so
b7f36000-b7f38000 rw-p 00007000 08:08 359756     /lib/libnss_files-2.5.so
b7f38000-b7f3c000 rw-p b7f38000 00:00 0
b7f3c000-b7f3d000 r-xp b7f3c000 00:00 0          [vdso]
b7f3d000-b7f57000 r-xp 00000000 08:08 359781     /lib/ld-2.5.so
b7f57000-b7f58000 r--p 00019000 08:08 359781     /lib/ld-2.5.so
b7f58000-b7f59000 rw-p 0001a000 08:08 359781     /lib/ld-2.5.so
bf96c000-bf982000 rw-p bf96c000 00:00 0          [stack]
Przerwane

There is my pacman.conf

# GENERAL OPTIONS
#
[options]
LogFile     = /var/log/pacman.log
NoUpgrade   = etc/passwd etc/group etc/shadow etc/sudoers
NoUpgrade   = etc/fstab etc/raidtab etc/ld.so.conf
NoUpgrade   = etc/rc.conf etc/rc.local
NoUpgrade   = etc/modprobe.conf etc/modules.conf
NoUpgrade   = etc/lilo.conf boot/grub/menu.lst
HoldPkg     = pacman glibc
#XferCommand = /usr/bin/wget --passive-ftp -c -O %o %u

#
# REPOSITORIES
#   - can be defined here or included from another file
#   - pacman will search repositories in the order defined here.
#   - local/custom mirrors can be added here or in separate files
# 

#[testing]
#Server = ftp://ftp.archlinux.org/testing/os/i686

[current]
# Add your preferred servers here, they will be used first
Include = /etc/pacman.d/current

[extra]
# Add your preferred servers here, they will be used first
Include = /etc/pacman.d/extra

#[unstable]
# Add your preferred servers here, they will be used first
#Include = /etc/pacman.d/unstable

#[community]
# Add your preferred servers here, they will be used first
Include = /etc/pacman.d/community

# An example of a custom package repository.  See the pacman manpage for
# tips on creating your own repositories.
#[custom]
#Server = file:///home/custompkgs

This is my /etc/pacman.d/current

#
# CURRENT: Arch Linux core repository
#
[current]
Server = ftp://mirror.icis.pcz.pl/archlinux/current/os/i686
Server = ftp://ftp.belnet.be/packages/archlinux/current/os/i686
Server = ftp://ftp.pangora.org/data2/archlinux/current/os/i686
Server = ftp://ftp.ntua.gr/pub/linux/archlinux/current/os/i686
Server = ftp://ftp.estpak.ee/pub/archlinux/current/os/i686
Server = http://darkstar.ist.utl.pt/archlinux/current/os/i686
Server = ftp://ftp.archlinux.org/current/os/i686 

#Server = ftp://ftp.archlinux.org/current/os/i686
Server = ftp://ftp.nethat.com/pub/linux/archlinux/current/os/i686
Server = ftp://ftp-linux.cc.gatech.edu/pub/linux/distributions/archlinux/current/os/i686
Server = ftp://mirror.cs.vt.edu/pub/ArchLinux/current/os/i686
Server = ftp://ftp.ibiblio.org/pub/linux/distributions/archlinux/current/os/i686
Server = http://www2.cddc.vt.edu/linux/distributions/archlinux/current/os/i686

# Europe
# -Austria
Server = ftp://gd.tuwien.ac.at/opsys/linux/archlinux/current/os/i686
# - Belgium
Server = ftp://ftp.belnet.be/packages/archlinux/current/os/i686
# - Czech Republic
Server = ftp://ftp.sh.cvut.cz/MIRRORS/arch/current/os/i686
# - Estonia
Server = ftp://ftp.estpak.ee/pub/archlinux/current/os/i686
# - France
Server = ftp://ftp.rez-gif.supelec.fr/pub/Linux/distrib/archlinux/current/os/i686
Server = ftp://mir1.archlinuxfr.org/archlinux/current/os/i686
Server = ftp://mir2.archlinuxfr.org/archlinux/current/os/i686
Server = ftp://distrib-coffee.ipsl.jussieu.fr/pub/linux/archlinux/current/os/i686
Server = http://mirrors.jakimowicz.com/archlinux/current/os/i686
# - Germany
Server = ftp://ftp.tu-chemnitz.de/pub/linux/sunsite.unc-mirror/distributions/archlinux/current/os/i686
Server = ftp://ftp.hosteurope.de/mirror/ftp.archlinux.org/current/os/i686
# - Great Britain
Server = http://ftp.parrswood.manchester.sch.uk/Mirrors/ftp.archlinux.org/current/os/i686
# - Greece
Server = ftp://ftp.ntua.gr/pub/linux/archlinux/current/os/i686
# - Ireland
Server = ftp://ftp.heanet.ie/mirrors/ftp.archlinux.org/current/os/i686
# - Italy
Server = ftp://mi.mirror.garr.it/mirrors/archlinux/current/os/i686
# - Netherlands
Server = ftp://ftp.nluug.nl/pub/metalab/distributions/archlinux/current/os/i686
Server = ftp://ftp.surfnet.nl/pub/os/Linux/distr/archlinux/current/os/i686
# - Norway
Server= ftp://mirror.djzradio.net/archlinux/current/os/i686
# - Poland
Server = ftp://sunsite.icm.edu.pl/site/linux-sunsite/distributions/archlinux/current/os/i686
Server = ftp://mirror.icis.pcz.pl/archlinux/current/os/i686
Server = http://ftp.icm.edu.pl/pub/Linux/sunsite/distributions/archlinux
# - Portugal
Server = ftp://gul.est.ips.pt/repos/archlinux/current/os/i686
Server = ftp://cesium.di.uminho.pt/pub/archlinux/current/os/i686
Server = http://darkstar.ist.utl.pt/archlinux/current/os/i686
# - Romania
Server = ftp://ftp.iasi.roedu.net/mirrors/archlinux.org/current/os/i686
# - Sweden
Server = ftp://ftp.ds.hj.se/pub/linux/distributions/archlinux/current/os/i686
Server = ftp://ftp.gigabit.nu/current/os/i686
# - Switzerland
Server = ftp://archlinux.puzzle.ch/current/os/i686
# - Ukraine
Server = ftp://ftp.linux.kiev.ua/pub/Linux/ArchLinux/current/os/i686

# Australia
Server = ftp://mirror.pacific.net.au/linux/archlinux/current/os/i686

# Asia
Server = ftp://cle.linux.org.tw/pub/ArchLinux/current/os/i686
Server = http://mirror.vxmatrix.net/ArchLinux/current/os/i686
Server = http://dxmirror.vxmatrix.net/ArchLinux/current/os/i686
Server = http://cncmirror.vxmatrix.net/ArchLinux/current/os/i686

Last edited by avasfx (2007-09-27 20:13:03)

Offline

#4 2007-09-27 20:41:35

Cerebral
Forum Fellow
From: Waterloo, ON, CA
Registered: 2005-04-08
Posts: 3,108
Website

Re: [SOLVED] Problem with upgrade pacman2 to pacman3

can you wget the files? For example, try

wget ftp://mirror.icis.pcz.pl/archlinux/curr … pkg.tar.gz

Offline

#5 2007-09-27 21:03:13

hybrid
Member
Registered: 2007-02-05
Posts: 225

Re: [SOLVED] Problem with upgrade pacman2 to pacman3

Mmmh, strange. It's probably due to the heavy development and version changes pacman has under gone, many things have changed from pacman2 to pacman 3.0.6-1. The most recent is, that there is no "current" repository anymore, it's now "core" (see news on www.archlinux.org). But I guess I wouldn't worry about it that much till you got pacman upgraded, it will tell you what to do (and then you'll have the new /etc/pacman.d/* files) and at least for right now most servers have set symlinks for compatibility.
I can't tell you why that update fails (cuz your polish mirror hase these symlinks thus pacman should be find libarchive and the others, maybe that's the incompabilities between pacman2 and pacman3 repos that the news was talking about) but here's what I'd do:
I would download at least the pacman, libarchive, libdownload and fakeroot packages manually (using your favourite webbrowser) and put them into /var/cache/pacman/pkg ("chmod 644 and chown root" them). After that upgrade pacman (pacman -S pacman) and you should be good to go.
If for whatever reason that should fail I would try to set up a local repository.

edit: Note to self: don't hit <tab> and then <enter> while writing a post... roll big_smile

Last edited by hybrid (2007-09-27 21:13:10)

Offline

#6 2007-09-27 22:45:43

byte
Member
From: Düsseldorf (DE)
Registered: 2006-05-01
Posts: 2,046

Re: [SOLVED] Problem with upgrade pacman2 to pacman3

Pacman 2 doesn't know about the new package names with i686/x86_64 in them, that's all. Fetch the new pacman, libdownload and libarchive (as stated above) files manually and upgrade with pacman -U file1 file2 file3.


1000

Offline

#7 2007-09-28 19:46:12

avasfx
Member
Registered: 2007-09-27
Posts: 4

Re: [SOLVED] Problem with upgrade pacman2 to pacman3

Thank you very much for help!!! Everything works just fine! smile
Here is little manual how to update pacman 2 to pacman 3 for newbie's (if someboby have the same problem):
1.    download pacman, libarchive, libdownload and fakeroot packages manually (with webbrowser or wget)
2.    put them into /var/cache/pacman/pkg ("chmod 644 and chown root" them)
3.    Install those packages (pacman –U file1 file 2 ….)
4.    Upgrade your /etc/pacman.conf (replace current with core)
5.    Upgrade all system (pacman -Syu)
6.    Have fun

Alex

Offline

#8 2007-09-28 19:58:30

Misfit138
Misfit Emeritus
From: USA
Registered: 2006-11-27
Posts: 4,170

Re: [SOLVED] Problem with upgrade pacman2 to pacman3

I am pleasantly surprised that with even a whole year of dormant existence, Arch got all caught up with a few wgets! I love Arch. big_smile

Offline

#9 2007-11-28 20:18:48

random
Member
Registered: 2007-11-22
Posts: 12

Re: [SOLVED] Problem with upgrade pacman2 to pacman3

This helped with the OpenVZ precreated cache that can be found from openvz.org's list of caches. It's a tarball of Arch 0.8 with Pacman 2.x. Thanks avasfx for showing the steps big_smile.


--name="Zach"

Offline

Board footer

Powered by FluxBB